﻿using CommunityToolkit.Maui.Core.Primitives;
using CommunityToolkit.Maui.Views;

namespace Wideo
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            mediaElement.Source = MediaSource.FromResource("ring.mpg");

            mediaElement.MediaEnded +=
                (object? sender, EventArgs e) =>
                {
                    MainThread.BeginInvokeOnMainThread(
                        () =>
                        {
                            button.BackgroundColor = Colors.Green;
                            button.Text = "Od nowa";
                        });
                };
        }

        private void button_Clicked(object sender, EventArgs e)
        {
            switch (mediaElement.CurrentState)
            {
                case MediaElementState.Playing:
                    mediaElement.Pause();
                    break;
                case MediaElementState.Paused:
                case MediaElementState.Stopped:
                    mediaElement.Play();
                    break;
            }
        }
    }
}
